# FatPy

A Python package for fatigue life evaluation of materials.

## Introduction

FatPy is an open-source Python package developed to assist researchers, engineers, and industry
professionals in accurately assessing material fatigue life. Its modular architecture is designed
to accommodate a variety of fatigue analysis methods, making it a versatile tool in the field of
material science.

### Key Features

- **Stress-Life** - Methods for analyzing fatigue life based on stress data
- **Strain-Life** - Tools for evaluating fatigue life using strain data
- **Energy-Life** - Methods for assessing fatigue life based on energy data

---

## Installation

```bash
pip install fatpy
```

For detailed installation options, see the [Installation Guide](development/install.md).

---

## The FABER Project

FatPy is a key initiative of Working Group 6 (WG6) within the FABER (Fatigue Benchmark Repository) project,
operating under COST Action CA23109. The FABER project aims to create a comprehensive database of
experimental fatigue data to enhance the accuracy of fatigue life predictions.

Working Group 6 is specifically focused on developing open-source fatigue software, with FatPy being
a flagship product of this endeavor.

### FABER Resources

- [Official Website](https://faber-cost.eu/)
- [FABER Newsletter](https://faber-cost.eu/media-newsletter/)
- [LinkedIn Organization Page](https://www.linkedin.com/company/faber-cost/about/)
- [LinkedIn Group Page](https://www.linkedin.com/groups/13170259/)

---

## Join Our Efforts

We warmly invite you to contribute to the development and enhancement of FatPy. Whether you're
interested in coding, testing, documentation, or providing feedback, your participation is invaluable.

### Getting Involved

- **Explore the Repository**: Visit our [GitHub repository](https://github.com/vybornak2/fatpy) to access the source code
- **Contribute**: Follow our [Contribution Guidelines](development/index.md) to help improve FatPy
- **Collaborate**: [Report issues](https://github.com/vybornak2/fatpy/issues) or join [discussions](https://github.com/vybornak2/fatpy/discussions)

By participating, you'll be part of a collaborative effort to advance the field of material fatigue analysis.
Stay tuned to the FatPy documentation for regular updates, tutorials, and community news as we work together
to push the boundaries of fatigue research.

---

## License

This project is licensed under the MIT License.

---

## Contact

Jan Vyborny - jan.vyborny2@gmail.com
Project Link: [github.com/vybornak2/fatpy](https://github.com/vybornak2/fatpy)

## Special Thanks
[Gooby](https://github.com/jakubda1) - for his help with the documentation and the project in general.
